import {
    request
} from "../http";
// 公共API 
const apiPath = {
    getSelfProjectList: '/api/proj/listpage/self', //获取我的项目列表
    getTagList: '/api/proj/tag/list-tag', //获取标签
    getNotice: '/api/env/custom/get-proj-create-notice', //获取notice
    getPrice: '/api/proj/charge/get', //获取创建项目的单价
    getContactList: '/api/proj-contact/list/self', //获取产权联系人列表
    getCouponsList: '/api/coupon/user/listpage/self', //获取优惠卷
    getPackageList: '/api/proj/servicepkg/packageorder/listpage/self', //获取套餐包
    getCommendProjectName: '/api/proj/recommend/list-proj-name/ai', //推荐项目名称
    createProject: '/api/proj/create-quick', //快速创建项目
}
class ProjectService {
    //项目列表
    static doGetSelfProjectList(data) {
        return request(apiPath.getSelfProjectList, 'GET', data)
    }
    //获取标签
    static doGetTagList() {
        return request(apiPath.getTagList, "GET")
    }
    //获取通知
    static doGetNotice() {
        return request(apiPath.getNotice, "GET")
    }
    //获取价格
    static doGetPrice() {
        return request(apiPath.getPrice, "GET")
    }
    static doGetContactList() {
        return request(apiPath.getContactList, "GET")
    }
    //获取套餐包
    static doGetPackageList(data) {
        return request(apiPath.getPackageList, "GET", data)
    }
    //优惠卷
    static doGetCouponseList(data) {
        return request(apiPath.getCouponsList, "GET", data)
    }
    //推荐项目名称
    static doGetCommendProjectName(data) {
        return request(apiPath.getCommendProjectName, "POST", data)
    }
    //创建项目
    static doCreateProject(data) {
        return request(apiPath.createProject, "POST", data)
    }
}

export default ProjectService;